﻿@model EMartVG.Models.Producto
@{
    ViewBag.Title = "EditarProducto";
}

<h2 class="font-weight-bolder text-center" style="color:white; opacity:0.8;background-color:black">Panel de Administración</h2>
<nav aria-label="breadcrumb">
    <ol class="breadcrumb" style="color: white;opacity: 0.8;background-color: black">
        <li class="breadcrumb-item"><a href="~/Admin/CreaMarcas/" style="color:white">Panel de Administración</a></li>
        <li class="breadcrumb-item"><a href="~/Admin/CreaProducto/" style="color:white">Productos</a></li>
        <li class="breadcrumb-item active" aria-current="~/Admin/EditarProducto/">Editar Producto</li>
    </ol>
</nav>

<div class="card text-center" style="background-color:black">
    <div class="card-header">
        <ul class="nav nav-tabs card-header-tabs">
            <li class="nav-item">
                <a class="nav-link" style="color:white" href="~/Admin/CreaMarcas/">Marcas</a>
            </li>
            <li class="nav-item">
                <a class="nav-link  " style="color:white" href="~/Admin/CreaCategoria">Categorías</a>
            </li>
            <li class="nav-item">
                <a class="nav-link active font-weight-bolder" style="background-color:white ; color: black" href="~/Admin/CreaProductora/">Productos</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/CreaAdmin/">Administradores</a>
            </li>
            <li class="nav-item">
                <a class="nav-link " style="color:white" href="~/Admin/ListarVentas/">Ventas</a>
            </li>
        </ul>
    </div>
    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">

                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Admin/CreaProducto">Agregar Producto</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Admin/ListarProductos">Listar Productos</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" style="color:white;background-color:black" href="">Editar Producto</a>
                    </li>
                </ul>
            </div>
            <div class="card-body">
                <form method="post" enctype="multipart/form-data">
                    <div class="form-horizontal">

                        <input hidden type="text" name="Id_Producto" value="@Model.Id_Producto" />
                        <input hidden type="text" name="Id_Estado_Producto" value="@Model.Id_Estado_Producto" />

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Nombre Producto:</label>
                                <input type="text" name="Nombre_Producto" id="Nombre_Producto" class="form-control" value="@Model.Nombre_Producto" maxlength="50" />
                                @Html.ValidationMessageFor(model => model.Nombre_Producto, "", new { @class = "text-danger" })
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Descripción Producto:</label>
                                <input type="text" name="Descripcion_Producto" id="Descripcion_Producto" class="form-control" value="@Model.Descripcion_Producto" maxlength="50" /> <!--Esto modificar a un area d etxto después-->
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Precio Producto:</label>
                                <input type="number" min="1" name="Precio_Producto" id="Precio_Producto" class="form-control" value="@Model.Precio_Producto" maxlength="50" />
                            </div>
                        </div>

                        <!-- AGREGAR Y PREVIEW DE IMAGEN-->
                        <div class="form-group">
                            <div class="col-md-10">
                                <img src="~/Assets/ImgSitio/no-image.png" id="Img" style="height:200px;" />
                            </div>
                        </div>

                        <input hidden type="text" name="Imagen_Producto" value="@Model.Imagen_Producto" />

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Imagen Producto:</label>
                                <input type="file" name="Imagen" id="Imagen_Producto" accept="image/*" class="form-control" onchange="vistaPrevia(event)" style="background-color:whitesmoke;border-color:whitesmoke" />
                            </div>
                        </div>


                        <!--FIN AGREGAR Y PREVIEW DE IMAGEN-->
                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Stock Producto:</label>
                                <input type="number" min="0" name="Stock_Producto" id="Stock_Producto" pattern="^[0-9]+" class="form-control" value="@Model.Stock_Producto" maxlength="50" />
                            </div>
                        </div>


                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Marca de producto:</label>
                                @Html.DropDownList("Id_Marca", null, "Seleccione marca", htmlAttributes: new { @class = "form-control", id = "Id_Marca" })

                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-10">
                                <label>Categoría de producto:</label>
                                @Html.DropDownList("Id_Categoria", null, "Seleccione categoria", htmlAttributes: new { @class = "form-control", id = "Id_Categoria" })

                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-offset-2 col-md-10">
                                <input type="submit" id="btnSubmit" value="Actualizar Producto" class="btn btn-dark" />
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!--VALIDAR NO ESPACIOS VACIOS EJEMPLO: PLAY STATION ES INCORRECTO...DEBE SER PLAYSTATION-->
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/SweetAlert.js"></script>
    <script>
        $("#btnSubmit").click(function (e) {
            let error = "";
            if (!$("#Nombre_Producto").val()) {
                error = "Debe ingresar el nombre del producto \n";
            }
            if (!$("#Descripcion_Producto").val()) {
                error += "Debe ingresar una descripción para el producto \n";
            }
            if (!$("#Precio_Producto").val()) {
                error += "Debe ingresar un precio \n";
            }
            if (!$("#Stock_Producto").val()) {
                error += "Debe ingresar el stock inicial del producto \n";
            }
            if (!$("#Imagen_Producto").val()) {
                error += "Debe ingresar una imagen para el producto \n";
            }
            if (!$("#Id_Marca").val()) {
                error += "Debe Seleccionar una marca \n";
            }
            if (!$("#Id_Categoria").val()) {
                error += "Debe Seleccionar una categoría \n";
            }
            if (error != "") {
                e.preventDefault();
                swal("Información  incompleta", error, "error");
            }
        });


        function vistaPrevia(event) {
            if (event.target.files.length > 0) {
                let src = URL.createObjectURL(event.target.files[0]);
                let preview = document.getElementById("Img");
                preview.src = src;
                preview.style.display = "block";
            }
        }
    </script>
}